import { createApp } from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';
const app = createApp(App);
app.use(store).use(router);
// 插件初始化函数,其实就是把自己用的一些东西放到这个文件里给app.use了
import pluginsInit from './plugins/index';
pluginsInit(app);
app.mount('#app');
