/* eslint-disable no-underscore-dangle */
/* eslint-disable no-param-reassign */
/* eslint-disable no-unused-vars */
/* eslint-disable no-shadow */
import _ from 'lodash';
import { ElMessage } from 'element-plus';

export default {
  install(app, options) {
    // 4. 添加实例方法
    app.config.globalProperties.$checkRes = (res, okText, errText) => {
      let _okText = okText;
      let _errText = errText;
      if (!_.isFunction(okText) && _.isObject(okText) && okText != null) {
        ({ okText: _okText, errText: _errText } = okText);
      }
      const { errcode = 0, errmsg } = res || {};
      if (errcode === 0) {
        if (_.isFunction(_okText)) {
          return _okText();
        }
        if (_okText) {
          ElMessage.success(_okText);
          // ElMessage({ ElMessage: _okText, type: 'success', duration: 60000 });
        }
        return true;
      }
      if (_.isFunction(_errText)) {
        return _errText();
      }
      ElMessage.error(_errText || errmsg);
      // ElMessage({ ElMessage: _errText || errmsg, duration: 60000 });
      return false;
    };
  },
};
