import { createRouter, createWebHistory } from 'vue-router';

const routes = [
  {
    path: '/',
    name: 'index',
    component: () => import(/* webpackChunkName: "index" */ '../views/index.vue'),
  },
];

const router = createRouter({
  history: createWebHistory(`/${process.env.VUE_APP_BASE_URL}`),
  routes,
});

export default router;
