import AxiosWrapper from '../utils/axios-wrapper';

export default {
  install: (app, options) => {
    // 添加实例方法
    app.config.globalProperties.$axios = new AxiosWrapper(options);
    app.mixin({
      created() {
        if (this.$store && !this.$store.$axios) {
          this.$store.$axios = this.$axios;
        }
      },
    });
  },
};
