const path = require('path');
module.exports = {
  publicPath: `/${process.env.VUE_APP_BASE_URL}`,
  outputDir: process.env.VUE_APP_BASE_URL,
  productionSourceMap: false,
  configureWebpack: {
    // 开发生产共同配置
    resolve: {
      alias: {
        '@': path.resolve(__dirname, './src'),
        '@c': path.resolve(__dirname, './src/components'),
        '@a': path.resolve(__dirname, './src/assets'),
      },
    },
  },
  devServer: {
    port: '6901',
    //api地址前缀
    proxy: {
      '/api/util': {
        target: 'http://localhost:6900',
        changeOrigin: true,
      },
    },
  },
};
